> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lootexplus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Drops



## OpenAPI

````yaml GET /v1/drops
openapi: 3.0.0
info:
  title: Lootex Plus API - V1
  description: V1 endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.lootexplus.com
security: []
tags: []
paths:
  /v1/drops:
    get:
      tags:
        - V1
      summary: Get drops
      operationId: GetDrops
      parameters:
        - name: projectId
          required: false
          in: query
          description: The id of the project
          schema:
            type: string
        - name: chainId
          required: false
          in: query
          description: The chain id of the drop
          schema:
            type: number
        - name: contractAddress
          required: false
          in: query
          description: The contract address of the drop
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: >-
            Page number to retrieve.If you provide invalid value the default
            page number will applied
                    <p>
                         <b>Example: </b> 1
                      </p>
                    <p>
                         <b>Default Value: </b> 1
                      </p>
                    
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: |-
            Number of records per page.
                  <p>
                         <b>Example: </b> 20
                      </p>
                  <p>
                         <b>Default Value: </b> 20
                      </p>
                  <p>
                         <b>Max Value: </b> 100
                      </p>

                  If provided value is greater than max value, max value will be applied.
                  
          schema:
            type: number
        - name: sortBy
          required: false
          in: query
          description: |-
            Parameter to sort by.
                  <p>To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting</p>
                  <p>
                         <b>Format: </b> fieldName:DIRECTION
                      </p>
                  <p>
                         <b>Example: </b> sortBy=id:DESC&sortBy=createdAt:ASC
                      </p>
                  <p>
                         <b>Default Value: </b> createdAt:DESC
                      </p>
                  <h4>Available Fields</h4><ul><li>createdAt</li></ul>
                  
          schema:
            type: array
            items:
              type: string
              enum:
                - createdAt:ASC
                - createdAt:DESC
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedDocumented'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Drop'
                      meta:
                        properties:
                          select:
                            type: array
                            items:
                              type: string
                          filter:
                            type: object
                            properties: {}
      security:
        - x-api-key: []
        - cookie: []
components:
  schemas:
    PaginatedDocumented:
      type: object
      properties:
        data:
          title: Array of entities
          additionalProperties: false
          type: array
          items:
            type: object
        meta:
          title: Pagination Metadata
          allOf:
            - $ref: '#/components/schemas/PaginatedMetaDocumented'
        links:
          title: Links to pages
          allOf:
            - $ref: '#/components/schemas/PaginatedLinksDocumented'
      required:
        - data
        - meta
        - links
    Drop:
      type: object
      properties:
        id:
          type: string
          description: Drop ID
        chainId:
          type: number
          description: Drop chain ID
        contractAddress:
          type: string
          description: Drop contract address
        name:
          type: string
          description: Drop name
        symbol:
          type: string
          description: Drop symbol
        description:
          type: string
          description: Drop description
        ownerAddress:
          type: string
          description: Drop owner address
        blindboxKey:
          type: string
          description: Drop blindbox key
        imageUrl:
          type: string
          description: Drop image URL
        baseUri:
          type: string
          description: Drop base URI
        creatorFeeAddress:
          type: string
          description: Drop creator fee address
        creatorFeeBps:
          type: number
          description: Drop creator fee BPS
        projectId:
          type: string
          description: Drop project ID
        metadataRepoId:
          type: string
          description: Drop metadata repo ID
        createdAt:
          format: date-time
          type: string
          description: Drop created at
        updatedAt:
          format: date-time
          type: string
          description: Drop updated at
      required:
        - id
        - chainId
        - contractAddress
        - name
        - symbol
        - description
        - ownerAddress
        - blindboxKey
        - imageUrl
        - baseUri
        - creatorFeeAddress
        - creatorFeeBps
        - projectId
        - metadataRepoId
        - createdAt
        - updatedAt
    PaginatedMetaDocumented:
      type: object
      properties:
        itemsPerPage:
          type: number
          title: Number of items per page
        totalItems:
          type: number
          title: Total number of items
        currentPage:
          type: number
          title: Current requested page
        totalPages:
          type: number
          title: Total number of pages
        sortBy:
          type: array
          title: Sorting by columns
          items:
            type: array
            items:
              oneOf:
                - type: string
                - type: string
                  enum:
                    - ASC
                    - DESC
        searchBy:
          title: Search by fields
          type: array
          items:
            type: string
        search:
          type: string
          title: Search term
        select:
          title: List of selected fields
          type: array
          items:
            type: string
        filter:
          type: object
          title: Filters that applied to the query
          additionalProperties: false
      required:
        - itemsPerPage
        - totalItems
        - currentPage
        - totalPages
        - filter
    PaginatedLinksDocumented:
      type: object
      properties:
        first:
          type: string
          title: Link to first page
        previous:
          type: string
          title: Link to previous page
        current:
          type: string
          title: Link to current page
        next:
          type: string
          title: Link to next page
        last:
          type: string
          title: Link to last page
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````